%define fname  win4lin
%define cname  cp866
%define origname %fname-%cname
%define fontdir %_x11libdir/X11/fonts
Name: XFree86-%fname-fonts-%cname
Version: 1.0
Release: vla2
License: distributable
Source: dosfonts-w4l.tar.bz2
Source1: Makefile.fonts
#Requires: XFree86 > 3.2

BuildArch: noarch
Group: System/Fonts/X11 bitmap
Summary: Cyrillic bitmap fonts for the X Window System in microsoft-cp866 encoding with aliases added to support Win4Lin dos box
#Obsoletes: 
PreReq: chkfontpath
Requires: chkfontpath >= 1.4.1

# Automatically added by buildreq on Wed Oct 01 2003
BuildRequires: XFree86-libs XFree86-utils

%description
Cyrillic bitmap fonts for the X Window System in microsoft-cp866 encoding with aliases added to support Win4Lin dos box

%prep
%setup -q -n  %origname
cp %SOURCE1 ./Makefile

%build
#make

%install
mkdir -p $RPM_BUILD_ROOT%fontdir/%fname-%cname
make FONTDIR=$RPM_BUILD_ROOT%fontdir/%fname-%cname install
#install -c -m 644 *.* $RPM_BUILD_ROOT%fontdir/%fname-%cname

%post
if [ -f /etc/sysconfig/i18n ]; then
    . /etc/sysconfig/i18n
fi
/usr/sbin/chkfontpath -q -a  %fontdir/%fname-%cname:unscaled

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r  %fontdir/%fname-%cname:unscaled
fi

%files
%fontdir/%fname-%cname

%changelog
* Thu Feb 02 2006 Igor Vlasenko <viy@altlinux.ru> 1.0-vla2
- removed requires: XFree86

* Thu Nov 18 2004 Igor Vlasenko <viy@altlinux.ru> 1.0-vla1
- spec cleanup

* Thu Apr 29 2004 viy <viy@viy> 1.0-vla0
- created

